Bug 249548 - Review Request: fedora-ds-admin - Administration server used by Fedora Directory Server
Review Request: fedora-ds-admin - Administration server used by Fedora Direct...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 10:28 EDT by Rich Megginson
Modified: 2008-04-12 10:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 14:28:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
rpmlint of srpm (66 bytes, text/plain)
2007-07-25 10:30 EDT, Rich Megginson
no flags Details
rpmlint of rpm (3.39 KB, text/plain)
2007-07-25 10:38 EDT, Rich Megginson
no flags Details
diffs to fix rpmlint items (35.96 KB, patch)
2008-01-09 13:34 EST, Rich Megginson
no flags Details | Diff
the real patch (7.23 KB, patch)
2008-01-09 13:51 EST, Rich Megginson
no flags Details | Diff
cvs commit log for dirsec adminserver (1.81 KB, text/plain)
2008-01-10 13:35 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2007-07-25 10:28:44 EDT
Spec URL: http://directory.fedoraproject.org/sources/fedora-ds-admin.spec
SRPM URL: http://directory.fedoraproject.org/sources/fedora-ds-admin-1.1.0-0.1.20070725.src.rpm
Description: This is the package for the Fedora Administration Server used to manage Fedora Directory Server and related servers.  It uses Apache as its http engine to provide a simple CGI based management web application.  It also provides CGIs used by the directory server and admin server console.
Comment 1 Rich Megginson 2007-07-25 10:30:48 EDT
Created attachment 159929 [details]
rpmlint of srpm

The complaint is about a shell script used to generate the source tarball from
CVS.  I think this should be ok.
Comment 2 Rich Megginson 2007-07-25 10:38:50 EDT
Created attachment 159930 [details]
rpmlint of rpm

There are a number of issues here:
> E: fedora-ds-admin script-without-shebang 
/usr/lib64/fedora-ds/perl/AdminMigration.pm

This is not meant to be executable - it is a perl module (.pm extension).  So
I'm not sure why rpmlint is complaining about this.

> E: fedora-ds-admin binary-or-shlib-defines-rpath
/usr/lib64/fedora-ds/cgi-bin/ds_restart ['/usr/lib64']

This has me baffled.  I'm not doing anything with rpath.  I'm just using the
standard autotools on FC6 x86_64.  I've tried putting %configure
--disable-rpath in the spec file - no effect.  I believe this is some sort of
autotool problem that forces the use of rpath.	What can I do about this?

> E: fedora-ds-admin subsys-not-used /etc/rc.d/init.d/fedora-ds-admin

It actually does use the locking subsys, but not directly in the initscript
itself.
Comment 3 Rich Megginson 2007-07-25 13:52:45 EDT
Whoops, I found a problem in the spec file - I forgot to include BuildRequires:
adminutil-devel.  This has been fixed and the links updated.  If your spec file
does not contain BuildRequires: adminutil-devel, just hit reload until it does.
Comment 4 Rich Megginson 2007-12-21 19:26:36 EST
Updates:
Spec URL: http://directory.fedoraproject.org/sources/fedora-ds-admin.spec
SRPM URL: http://directory.fedoraproject.org/sources/fedora-ds-admin-1.1.1-1.src.rpm

These contain several fixes.  The biggest one is the removal of the rpath, which
required some serious configure script hacking since there is no standard
--without-rpath option to configure.
Comment 5 Dennis Gilmore 2008-01-08 20:39:56 EST
fedora-ds-admin.src: W: strange-permission fedora-ds-admin-cvs.sh 0775
fedora-ds-admin.x86_64: E: 
script-without-shebang /usr/lib64/dirsrv/perl/ASDialogs.pm
fedora-ds-admin.x86_64: E: 
script-without-shebang /usr/lib64/dirsrv/perl/AdminUtil.pm
fedora-ds-admin.x86_64: E: 
script-without-shebang /usr/lib64/dirsrv/perl/ConfigDSDialogs.pm
fedora-ds-admin.x86_64: E: script-without-shebang /etc/sysconfig/dirsrv-admin
fedora-ds-admin.x86_64: E: 
script-without-shebang /usr/lib64/dirsrv/perl/RegDSDialogs.pm
fedora-ds-admin.x86_64: E: 
script-without-shebang /usr/lib64/dirsrv/perl/AdminServer.pm
fedora-ds-admin.x86_64: E: 
script-without-shebang /usr/lib64/dirsrv/perl/AdminMigration.pm
fedora-ds-admin.x86_64: E: subsys-not-used /etc/rc.d/init.d/dirsrv-admin
fedora-ds-admin.x86_64: W: incoherent-init-script-name dirsrv-admin



fix the file permissions on the perl modules and  /etc/sysconfig/dirsrv-admin 
they should be 644 not 755 
/etc/sysconfig/dirsrv-admin  should be marked as config noreplace 
fix the use of subsys in the initscript 

source matches upstream 
[dennis@bratac SPECS]$ sha1sum fedora-ds-admin-1.1.1.tar.bz2
b06576c65f7b649472229d2435a1275442f0d8ec  fedora-ds-admin-1.1.1.tar.bz2
[dennis@bratac SPECS]$ sha1sum ../SOURCES/fedora-ds-admin-1.1.1.tar.bz2
b06576c65f7b649472229d2435a1275442f0d8ec  ../SOURCES/fedora-ds-admin-1.1.1.tar.bz2


Then it will be in pretty good shape
Comment 6 Rich Megginson 2008-01-08 20:50:45 EST
I also wanted to save the info about fixing the subsys-not-used error.

(06:26:08 PM) richm: What does "subsys-not-used /etc/rc.d/init.d/dirsrv-admin" mean?
(06:26:45 PM) dgilmore: it means we are not putting a lock file in /var/lock/subsys
(06:28:35 PM) richm: What is a lock file used for?
(06:29:44 PM) dgilmore: supposed to let you know if its running or not 
(06:31:03 PM) dgilmore: in start at the end add [ $RETVAL -eq 0 ] && touch
/var/lock/subsys/$servicename(06:31:34 PM) dgilmore: in the end of stop add a
chekc for retvalue  and cleanup the file 
(06:31:57 PM) richm: And if it's started without using the init script, then
stopped with the init script, or vice versa?
(06:32:20 PM) richm: Just ignore the missing file (or presence of the unexpected
file)?
(06:32:53 PM) dgilmore: pretty much yeah 
(06:33:22 PM) dgilmore: the condrestart should checkfor the lockfile and restart
only if it exists 
Comment 7 Rich Megginson 2008-01-09 13:34:44 EST
Created attachment 291181 [details]
diffs to fix rpmlint items

With these fixes, the only complaint I get is the
W: incoherent-init-script-name dirsrv-admin

Is this OK?
Comment 8 Rich Megginson 2008-01-09 13:51:45 EST
Created attachment 291184 [details]
the real patch
Comment 10 Dennis Gilmore 2008-01-09 21:23:36 EST
[dennis@bratac SPECS]$ rpmlint /var/lib/mock//fedora-8-x86_64/result/*rpm
fedora-ds-admin.src: W: strange-permission fedora-ds-admin-cvs.sh 0775
fedora-ds-admin.x86_64: W: incoherent-init-script-name dirsrv-admin

looks good 

owns all its own files and dirs 

provides and requires looks ok

APPROVED 
Comment 11 Rich Megginson 2008-01-10 10:40:26 EST
New Package CVS Request
=======================
Package Name: fedora-ds-admin
Short Description: Management server for Fedora Directory Server
Owners: rmeggins nkinder nhosoi
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-01-10 11:35:45 EST
cvs done.
Comment 13 Rich Megginson 2008-01-10 13:35:16 EST
Created attachment 291308 [details]
cvs commit log for dirsec adminserver
Comment 14 Orion Poplawski 2008-04-11 18:09:32 EDT
Why hasn't this been built for F-9?  It's causing dependency issues:

Broken deps for i386
----------------------------------------------------------
	fedora-ds-dsgw-1.1.0-1.fc9.i386 requires /etc/dirsrv/admin-serv/httpd.conf
Comment 15 Rich Megginson 2008-04-11 19:29:34 EDT
Weird - I thought it already was in F-9.  It's now built.
Comment 16 Orion Poplawski 2008-04-12 10:12:03 EDT
Be sure to send a message to rel-eng@fedoraproject.org to tag for F-9 since
we're in freeze.

Note You need to log in before you can comment on or make changes to this bug.